Summary:        Load URI::Escape::XS preferentially over URI::Escape
Name:           perl-Any-URI-Escape
Version:        0.01
Release:        1%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Any-URI-Escape
Source0:        https://cpan.metacpan.org/authors/id/P/PH/PHRED/Any-URI-Escape-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make, perl-generators, perl-interpreter, perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Exporter), perl(URI::Escape), perl(base), perl(strict), perl(warnings)
BuildRequires:  perl(Test::More)
Requires:       perl(URI::Escape)

%{?perl_default_filter}

%description
URI::Escape is great, but URI::Escape::XS is faster. This module loads
URI::Escape::XS and imports the two most common methods if XS is installed.

%prep
%setup -q -n Any-URI-Escape-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
%{make_build} test

%files
%doc Changes README
%{perl_vendorlib}/Any*
%{_mandir}/man3/*

%changelog
* Mon Dec 25 2023 Chair <chairou@tencent.com> - 0.01-1
- Init
